//Ex5_29.cpp
#include "iostream" 
using namespace std;
bool isprime(int m) //判别m是否为质数 
{int i; 
 for(i=2;m%i!=0;i++); 
 return (i==m); 
}
void main() 
{int n,x,a; 
 cout<<"输入一偶数:"; 
 cin>>x; 
 for(n=6;n<=x;n+=2)  //从6开始到输入范围内逐一判断 
	for(a=3;a<=n;a+=2) 
	  if(isprime(a) && isprime(n-a))  //若a与n-a均是素数 
		{cout<<n<<"="<<a<<"+"<<n-a<<endl; 
	     break;}     // 退出a循环,判别下一个n的组合 
} 
